Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class AbstractLibrary

- org.gradle.plugins.ide.eclipse.model.AbstractLibrary

- Common superclass for the library elements.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, accessRules, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractLibrary (groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
    `AbstractLibrary (FileReference library)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getDeclaredConfigurationName()`
    `FileReference` | `getJavadocPath()`
    `FileReference` | `getLibrary()`
    `ModuleVersionIdentifier` | `getModuleVersion()`
    `FileReference` | `getSourcePath()`
    `int` | `hashCode()`
    `void` | `setDeclaredConfigurationName(String declaredConfigurationName)`
    `void` | `setJavadocPath(FileReference path)`
    `void` | `setLibrary(FileReference library)`
    `void` | `setModuleVersion(ModuleVersionIdentifier moduleVersion)`
    `void` | `setSourcePath(FileReference sourcePath)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, toString, writeEntryAttributes`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public AbstractLibrary(groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### public AbstractLibrary(FileReference library)

  - ### Method Detail

    - #### @Override public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### @Deprecated public String getDeclaredConfigurationName()

    - #### public FileReference getJavadocPath()

    - #### public FileReference getLibrary()

    - #### @Nullable public ModuleVersionIdentifier getModuleVersion()

    - #### public FileReference getSourcePath()

    - #### @Override public int hashCode()

    - #### @Deprecated public void setDeclaredConfigurationName(String declaredConfigurationName)

    - #### public void setJavadocPath(FileReference path)

    - #### public void setLibrary(FileReference library)

    - #### public void setModuleVersion(@Nullable ModuleVersionIdentifier moduleVersion)

    - #### public void setSourcePath(FileReference sourcePath)

    - #### @Override public String toString()